
<!DOCTYPE html>
<html lang="en">
<head>
  
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1">

<title>404 Page Not Found | The Eclipse Foundation</title>
<meta property="og:title" content="404 Page Not Found | The Eclipse Foundation" />
<meta name="twitter:title" content="404 Page Not Found | The Eclipse Foundation" />

<meta name="description" content="The Eclipse Foundation provides our global community of individuals and organizations with a mature, scalable, and business-friendly environment for open source …">
<meta property="og:description" content="The Eclipse Foundation provides our global community of individuals and organizations with a mature, scalable, and business-friendly environment for open source …">
<meta name="twitter:description" content="The Eclipse Foundation provides our global community of individuals and organizations with a mature, scalable, and business-friendly environment for open source …">
<link href='https://www.eclipse.org/favicon.ico' rel='icon' type='image/x-icon'/>

<meta name="twitter:card" content="summary" />
<meta name="twitter:site" content="@eclipsefdn" />
<meta name="twitter:creator" content="@eclipsefdn" />
<meta property="og:url" content="https://eclipse.dev/cbi/404.html" />
<meta property="og:type" content="website" />
<meta property="og:site_name" content="The Community for Open Innovation and Collaboration" />
<meta name="keywords" content="eclipse, project, plug-ins, plugins, java, ide, swt, refactoring, free java ide, tools, platform, open source, development environment, development, ide">


<meta name="generator" content="Hugo 0.110.0">

<link rel="canonical" href="https://eclipse.dev/cbi/404.html" />


<link rel="stylesheet" href="https://eclipse.org/eclipse.org-common/themes/solstice/public/stylesheets/astro.min.css?v=1715697839">
  
  <script>(function(w,d,s,l,i){w[l]=w[l]||[];w[l].push({'gtm.start':
  new Date().getTime(),event:'gtm.js'});var f=d.getElementsByTagName(s)[0],
  j=d.createElement(s),dl=l!='dataLayer'?'&l='+l:'';j.async=true;j.src=
  'https://www.googletagmanager.com/gtm.js?id='+i+dl;f.parentNode.insertBefore(j,f);
  })(window,document,'script','dataLayer','GTM-5WLCZXC');</script>
  
<script>
	
		var tableClasses = "table";
	
</script>

  
<link href="https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap" rel="stylesheet" type="text/css"/>

  
</head>
<body>
  









<noscript><iframe src="https://www.googletagmanager.com/ns.html?id=GTM-5WLCZXC"
height="0" width="0" style="display:none;visibility:hidden"></iframe></noscript>

<a class="sr-only" href="#content">Skip to main content</a>
<header class="header-wrapper header_wrapper_class" id="header">
  





<div class="header-toolbar">
    <div class="container">
        <div class="header-toolbar-row">
            <div class="toolbar-btn toolbar-search-btn dropdown">
                <button 
                    class="dropdown-toggle" 
                    id="toolbar-search" 
                    type="button" 
                    data-toggle="dropdown"
                    tabindex="0"
                    aria-label="Search"
                >
                    <i class="fa fa-search fa-lg" aria-role="none"></i>
                </button>
                <div 
                    class="toolbar-search-bar-wrapper dropdown-menu dropdown-menu-right"
                    aria-labelledby="toolbar-search"
                >
                      <form action="https://www.eclipse.org/home/search" method="get">
                    <div class="search-bar">
                        <input class="search-bar-input" name="q" placeholder="Search" />
                        <button>
                            <i class="fa fa-search" type="submit"></i>
                        </button>
                    </div>
                      </form>
                </div>
            </div>
            <div class="toolbar-btn toolbar-user-menu-btn dropdown">
                <button 
                    class="dropdown-toggle" 
                    id="toolbar-user-menu" 
                    type="button" 
                    data-toggle="dropdown"
                    tabindex="0"
                    aria-label="User Menu"
                >
                    <i class="fa fa-user fa-lg"></i>
                </button>
                <ul class="toolbar-user-menu dropdown-menu dropdown-menu-right text-center"
                    aria-labelledby="toolbar-user-menu">
                    <li>
                        <a href="https://accounts.eclipse.org/user">
                            <i class="fa fa-user"></i>
                            View My Account
                        </a>
                    </li>
                    <li>
                        <a href="https://accounts.eclipse.org/user/edit">
                            <i class="fa fa-edit"></i>
                            Edit My Account
                        </a>
                    </li>
                    <li>
                        <a class="toolbar-manage-cookies">
                            <i class="fa fa-wrench"></i>
                            Manage Cookies
                        </a>
                    </li>
                </ul>
            </div>
        </div>
    </div>
</div>


  
















<div class="header-navbar-wrapper">
    <div class="container">
        <div class="header-navbar">
            <div class="header-navbar-brand">
                <a class="logo-wrapper" href="/" title="The Community for Open Innovation and Collaboration">
                    <img src="https://www.eclipse.org/eclipse.org-common/themes/solstice/public/images/logo/eclipse-foundation-grey-orange.svg" alt="" width="150" />
                </a>
            </div>
            









<nav class="header-navbar-nav">
    <ul class="header-navbar-nav-links">
        
            
               
            
            

            <li class="navbar-nav-links-item ">
                <button 
                    class="nav-link-js btn-link link-unstyled" 
                    type="button"
                    aria-expanded="true" 
                    data-menu-target="projects-menu"
                >
                    Projects
                </button>
            </li>
        
            
               
            
            

            <li class="navbar-nav-links-item ">
                <button 
                    class="nav-link-js btn-link link-unstyled" 
                    type="button"
                    aria-expanded="true" 
                    data-menu-target="supporters-menu"
                >
                    Supporters
                </button>
            </li>
        
            
               
            
            

            <li class="navbar-nav-links-item ">
                <button 
                    class="nav-link-js btn-link link-unstyled" 
                    type="button"
                    aria-expanded="true" 
                    data-menu-target="collaborations-menu"
                >
                    Collaborations
                </button>
            </li>
        
            
               
            
            

            <li class="navbar-nav-links-item ">
                <button 
                    class="nav-link-js btn-link link-unstyled" 
                    type="button"
                    aria-expanded="true" 
                    data-menu-target="resources-menu"
                >
                    Resources
                </button>
            </li>
        
            
               
            
            

            <li class="navbar-nav-links-item ">
                <button 
                    class="nav-link-js btn-link link-unstyled" 
                    type="button"
                    aria-expanded="true" 
                    data-menu-target="the-foundation-menu"
                >
                    The Foundation
                </button>
            </li>
        
    </ul>
</nav>


            <div class="header-navbar-end">
                
                  <a class="header-navbar-end-download-btn btn btn-primary" href="//eclipse.org/download/">
                      <i class="fa fa-download" aria-hidden="true"></i>
                      Download
                  </a>
                
                <button class="mobile-menu-btn" aria-label="Toggle mobile navigation menu" aria-expanded="false">
                    <i class="fa fa-bars fa-xl"></i>
                </button>
            </div>
        </div>
    </div>
</div>


  





    





<nav class="mobile-menu hidden" aria-expanded="false">
    <ul>
        
            
            

            <li class="mobile-menu-dropdown">
                <a class="mobile-menu-item mobile-menu-dropdown-toggle" data-target="projects-menu">
                    <span>Projects</span>
                    <i class="fa fa-chevron-down" aria-hidden="true"></i>
                </a>
                <div class="mobile-menu-sub-menu-wrapper">
                    <ul class="mobile-menu-sub-menu hidden" id="projects-menu">
                        
                            <li class="mobile-menu-dropdown">
                                <a 
                                    data-target="projects-technologies-sub-menu"
                                    class="mobile-menu-item mobile-menu-dropdown-toggle" 
                                    aria-expanded="false"
                                >
                                    <span>Technologies</span>
                                    <i class="fa fa-chevron-down" aria-hidden="true"></i>
                                </a>
                                <div class="mobile-menu-sub-menu-wrapper">
                                    <ul 
                                        class="mobile-menu-sub-menu mobile-menu-links-menu hidden"
                                        id="projects-technologies-sub-menu"
                                    >
                                        
                                            <li>
                                                <a class="mobile-menu-item" href="https://www.eclipse.org/topics/ide/">
                                                    Developer Tools &amp; IDEs
                                                </a>
                                            </li>
                                        
                                            <li>
                                                <a class="mobile-menu-item" href="https://www.eclipse.org/topics/cloud-native/">
                                                    Cloud Native
                                                </a>
                                            </li>
                                        
                                            <li>
                                                <a class="mobile-menu-item" href="https://www.eclipse.org/topics/edge-and-iot">
                                                    Edge &amp; IoT
                                                </a>
                                            </li>
                                        
                                            <li>
                                                <a class="mobile-menu-item" href="https://www.eclipse.org/topics/automotive-and-mobility/">
                                                    Automotive &amp; Mobility
                                                </a>
                                            </li>
                                        
                                    </ul>
                                </div>
                            </li>
                        
                            <li class="mobile-menu-dropdown">
                                <a 
                                    data-target="projects-projects-sub-menu"
                                    class="mobile-menu-item mobile-menu-dropdown-toggle" 
                                    aria-expanded="false"
                                >
                                    <span>Projects</span>
                                    <i class="fa fa-chevron-down" aria-hidden="true"></i>
                                </a>
                                <div class="mobile-menu-sub-menu-wrapper">
                                    <ul 
                                        class="mobile-menu-sub-menu mobile-menu-links-menu hidden"
                                        id="projects-projects-sub-menu"
                                    >
                                        
                                            <li>
                                                <a class="mobile-menu-item" href="https://projects.eclipse.org/">
                                                    Project Finder
                                                </a>
                                            </li>
                                        
                                            <li>
                                                <a class="mobile-menu-item" href="https://www.eclipse.org/projects/project_activity.php">
                                                    Project Activity
                                                </a>
                                            </li>
                                        
                                            <li>
                                                <a class="mobile-menu-item" href="https://www.eclipse.org/projects/resources">
                                                    Project Resources
                                                </a>
                                            </li>
                                        
                                            <li>
                                                <a class="mobile-menu-item" href="https://www.eclipse.org/contribute/">
                                                    Contribute
                                                </a>
                                            </li>
                                        
                                    </ul>
                                </div>
                            </li>
                        
                    </ul>
                </div>
            </li>
        
            
            

            <li class="mobile-menu-dropdown">
                <a class="mobile-menu-item mobile-menu-dropdown-toggle" data-target="supporters-menu">
                    <span>Supporters</span>
                    <i class="fa fa-chevron-down" aria-hidden="true"></i>
                </a>
                <div class="mobile-menu-sub-menu-wrapper">
                    <ul class="mobile-menu-sub-menu hidden" id="supporters-menu">
                        
                            <li class="mobile-menu-dropdown">
                                <a 
                                    data-target="supporters-membership-sub-menu"
                                    class="mobile-menu-item mobile-menu-dropdown-toggle" 
                                    aria-expanded="false"
                                >
                                    <span>Membership</span>
                                    <i class="fa fa-chevron-down" aria-hidden="true"></i>
                                </a>
                                <div class="mobile-menu-sub-menu-wrapper">
                                    <ul 
                                        class="mobile-menu-sub-menu mobile-menu-links-menu hidden"
                                        id="supporters-membership-sub-menu"
                                    >
                                        
                                            <li>
                                                <a class="mobile-menu-item" href="https://www.eclipse.org/membership/exploreMembership.php">
                                                    Our Members
                                                </a>
                                            </li>
                                        
                                            <li>
                                                <a class="mobile-menu-item" href="https://www.eclipse.org/membership/">
                                                    Member Benefits
                                                </a>
                                            </li>
                                        
                                            <li>
                                                <a class="mobile-menu-item" href="https://www.eclipse.org/membership/#tab-levels">
                                                    Membership Levels &amp; Fees
                                                </a>
                                            </li>
                                        
                                            <li>
                                                <a class="mobile-menu-item" href="https://www.eclipse.org/membership/#tab-membership">
                                                    Membership Application
                                                </a>
                                            </li>
                                        
                                            <li>
                                                <a class="mobile-menu-item" href="https://www.eclipse.org/membership/#tab-resources">
                                                    Member Resources
                                                </a>
                                            </li>
                                        
                                            <li>
                                                <a class="mobile-menu-item" href="https://membership.eclipse.org/portal">
                                                    Member Portal
                                                </a>
                                            </li>
                                        
                                    </ul>
                                </div>
                            </li>
                        
                            <li class="mobile-menu-dropdown">
                                <a 
                                    data-target="supporters-sponsorship-sub-menu"
                                    class="mobile-menu-item mobile-menu-dropdown-toggle" 
                                    aria-expanded="false"
                                >
                                    <span>Sponsorship</span>
                                    <i class="fa fa-chevron-down" aria-hidden="true"></i>
                                </a>
                                <div class="mobile-menu-sub-menu-wrapper">
                                    <ul 
                                        class="mobile-menu-sub-menu mobile-menu-links-menu hidden"
                                        id="supporters-sponsorship-sub-menu"
                                    >
                                        
                                            <li>
                                                <a class="mobile-menu-item" href="https://www.eclipse.org/sponsor/">
                                                    Sponsor
                                                </a>
                                            </li>
                                        
                                            <li>
                                                <a class="mobile-menu-item" href="https://www.eclipse.org/org/corporate_sponsors">
                                                    Corporate Sponsorship
                                                </a>
                                            </li>
                                        
                                            <li>
                                                <a class="mobile-menu-item" href="https://www.eclipse.org/sponsor/collaboration/">
                                                    Sponsor a Collaboration
                                                </a>
                                            </li>
                                        
                                    </ul>
                                </div>
                            </li>
                        
                    </ul>
                </div>
            </li>
        
            
            

            <li class="mobile-menu-dropdown">
                <a class="mobile-menu-item mobile-menu-dropdown-toggle" data-target="collaborations-menu">
                    <span>Collaborations</span>
                    <i class="fa fa-chevron-down" aria-hidden="true"></i>
                </a>
                <div class="mobile-menu-sub-menu-wrapper">
                    <ul class="mobile-menu-sub-menu hidden" id="collaborations-menu">
                        
                            <li class="mobile-menu-dropdown">
                                <a 
                                    data-target="collaborations-industry-collaborations-sub-menu"
                                    class="mobile-menu-item mobile-menu-dropdown-toggle" 
                                    aria-expanded="false"
                                >
                                    <span>Industry Collaborations</span>
                                    <i class="fa fa-chevron-down" aria-hidden="true"></i>
                                </a>
                                <div class="mobile-menu-sub-menu-wrapper">
                                    <ul 
                                        class="mobile-menu-sub-menu mobile-menu-links-menu hidden"
                                        id="collaborations-industry-collaborations-sub-menu"
                                    >
                                        
                                            <li>
                                                <a class="mobile-menu-item" href="https://www.eclipse.org/collaborations/">
                                                    About Industry Collaborations
                                                </a>
                                            </li>
                                        
                                            <li>
                                                <a class="mobile-menu-item" href="https://www.eclipse.org/org/workinggroups/explore.php">
                                                    Current Collaborations
                                                </a>
                                            </li>
                                        
                                            <li>
                                                <a class="mobile-menu-item" href="https://www.eclipse.org/org/workinggroups/about.php">
                                                    About Working Groups
                                                </a>
                                            </li>
                                        
                                            <li>
                                                <a class="mobile-menu-item" href="https://www.eclipse.org/collaborations/interest-groups/">
                                                    About Interest Groups
                                                </a>
                                            </li>
                                        
                                    </ul>
                                </div>
                            </li>
                        
                            <li class="mobile-menu-dropdown">
                                <a 
                                    data-target="collaborations-research-collaborations-sub-menu"
                                    class="mobile-menu-item mobile-menu-dropdown-toggle" 
                                    aria-expanded="false"
                                >
                                    <span>Research Collaborations</span>
                                    <i class="fa fa-chevron-down" aria-hidden="true"></i>
                                </a>
                                <div class="mobile-menu-sub-menu-wrapper">
                                    <ul 
                                        class="mobile-menu-sub-menu mobile-menu-links-menu hidden"
                                        id="collaborations-research-collaborations-sub-menu"
                                    >
                                        
                                            <li>
                                                <a class="mobile-menu-item" href="https://www.eclipse.org/research/">
                                                    Research @ Eclipse
                                                </a>
                                            </li>
                                        
                                    </ul>
                                </div>
                            </li>
                        
                    </ul>
                </div>
            </li>
        
            
            

            <li class="mobile-menu-dropdown">
                <a class="mobile-menu-item mobile-menu-dropdown-toggle" data-target="resources-menu">
                    <span>Resources</span>
                    <i class="fa fa-chevron-down" aria-hidden="true"></i>
                </a>
                <div class="mobile-menu-sub-menu-wrapper">
                    <ul class="mobile-menu-sub-menu hidden" id="resources-menu">
                        
                            <li class="mobile-menu-dropdown">
                                <a 
                                    data-target="resources-open-source-sub-menu"
                                    class="mobile-menu-item mobile-menu-dropdown-toggle" 
                                    aria-expanded="false"
                                >
                                    <span>Open Source for Business</span>
                                    <i class="fa fa-chevron-down" aria-hidden="true"></i>
                                </a>
                                <div class="mobile-menu-sub-menu-wrapper">
                                    <ul 
                                        class="mobile-menu-sub-menu mobile-menu-links-menu hidden"
                                        id="resources-open-source-sub-menu"
                                    >
                                        
                                            <li>
                                                <a class="mobile-menu-item" href="https://www.eclipse.org/org/value/">
                                                    Business Value of Open Source
                                                </a>
                                            </li>
                                        
                                            <li>
                                                <a class="mobile-menu-item" href="https://www.eclipse.org/os4biz/ospo/">
                                                    Open Source Program Offices
                                                </a>
                                            </li>
                                        
                                    </ul>
                                </div>
                            </li>
                        
                            <li class="mobile-menu-dropdown">
                                <a 
                                    data-target="resources-happening-sub-menu"
                                    class="mobile-menu-item mobile-menu-dropdown-toggle" 
                                    aria-expanded="false"
                                >
                                    <span>What&#39;s Happening</span>
                                    <i class="fa fa-chevron-down" aria-hidden="true"></i>
                                </a>
                                <div class="mobile-menu-sub-menu-wrapper">
                                    <ul 
                                        class="mobile-menu-sub-menu mobile-menu-links-menu hidden"
                                        id="resources-happening-sub-menu"
                                    >
                                        
                                            <li>
                                                <a class="mobile-menu-item" href="https://newsroom.eclipse.org/">
                                                    News
                                                </a>
                                            </li>
                                        
                                            <li>
                                                <a class="mobile-menu-item" href="https://events.eclipse.org/">
                                                    Events
                                                </a>
                                            </li>
                                        
                                            <li>
                                                <a class="mobile-menu-item" href="https://www.eclipse.org/community/eclipse_newsletter/">
                                                    Newsletter
                                                </a>
                                            </li>
                                        
                                            <li>
                                                <a class="mobile-menu-item" href="https://newsroom.eclipse.org/news/press-releases">
                                                    Press Releases
                                                </a>
                                            </li>
                                        
                                            <li>
                                                <a class="mobile-menu-item" href="https://www.eclipse.org/org/foundation/eclipseawards/">
                                                    Awards &amp; Recognition
                                                </a>
                                            </li>
                                        
                                    </ul>
                                </div>
                            </li>
                        
                            <li class="mobile-menu-dropdown">
                                <a 
                                    data-target="resources-developer-sub-menu"
                                    class="mobile-menu-item mobile-menu-dropdown-toggle" 
                                    aria-expanded="false"
                                >
                                    <span>Developer Resources</span>
                                    <i class="fa fa-chevron-down" aria-hidden="true"></i>
                                </a>
                                <div class="mobile-menu-sub-menu-wrapper">
                                    <ul 
                                        class="mobile-menu-sub-menu mobile-menu-links-menu hidden"
                                        id="resources-developer-sub-menu"
                                    >
                                        
                                            <li>
                                                <a class="mobile-menu-item" href="https://eclipse.org/forums/">
                                                    Forum
                                                </a>
                                            </li>
                                        
                                            <li>
                                                <a class="mobile-menu-item" href="https://accounts.eclipse.org/mailing-list">
                                                    Mailing Lists
                                                </a>
                                            </li>
                                        
                                            <li>
                                                <a class="mobile-menu-item" href="https://www.eclipse.org/blogs-and-videos/">
                                                    Blogs &amp; Videos
                                                </a>
                                            </li>
                                        
                                            <li>
                                                <a class="mobile-menu-item" href="https://www.eclipse.org/resources/marketplaces/">
                                                    Marketplaces
                                                </a>
                                            </li>
                                        
                                    </ul>
                                </div>
                            </li>
                        
                    </ul>
                </div>
            </li>
        
            
            

            <li class="mobile-menu-dropdown">
                <a class="mobile-menu-item mobile-menu-dropdown-toggle" data-target="the-foundation-menu">
                    <span>The Foundation</span>
                    <i class="fa fa-chevron-down" aria-hidden="true"></i>
                </a>
                <div class="mobile-menu-sub-menu-wrapper">
                    <ul class="mobile-menu-sub-menu hidden" id="the-foundation-menu">
                        
                            <li class="mobile-menu-dropdown">
                                <a 
                                    data-target="the-foundation-about-sub-menu"
                                    class="mobile-menu-item mobile-menu-dropdown-toggle" 
                                    aria-expanded="false"
                                >
                                    <span>About</span>
                                    <i class="fa fa-chevron-down" aria-hidden="true"></i>
                                </a>
                                <div class="mobile-menu-sub-menu-wrapper">
                                    <ul 
                                        class="mobile-menu-sub-menu mobile-menu-links-menu hidden"
                                        id="the-foundation-about-sub-menu"
                                    >
                                        
                                            <li>
                                                <a class="mobile-menu-item" href="https://www.eclipse.org/org/">
                                                    About the Eclipse Foundation
                                                </a>
                                            </li>
                                        
                                            <li>
                                                <a class="mobile-menu-item" href="https://www.eclipse.org/org/governance">
                                                    Board &amp; Governance
                                                </a>
                                            </li>
                                        
                                            <li>
                                                <a class="mobile-menu-item" href="https://www.eclipse.org/org/foundation/staff.php">
                                                    Staff
                                                </a>
                                            </li>
                                        
                                            <li>
                                                <a class="mobile-menu-item" href="https://www.eclipse.org/org/services">
                                                    Services
                                                </a>
                                            </li>
                                        
                                    </ul>
                                </div>
                            </li>
                        
                            <li class="mobile-menu-dropdown">
                                <a 
                                    data-target="the-foundation-legal-sub-menu"
                                    class="mobile-menu-item mobile-menu-dropdown-toggle" 
                                    aria-expanded="false"
                                >
                                    <span>Legal</span>
                                    <i class="fa fa-chevron-down" aria-hidden="true"></i>
                                </a>
                                <div class="mobile-menu-sub-menu-wrapper">
                                    <ul 
                                        class="mobile-menu-sub-menu mobile-menu-links-menu hidden"
                                        id="the-foundation-legal-sub-menu"
                                    >
                                        
                                            <li>
                                                <a class="mobile-menu-item" href="https://www.eclipse.org/legal/">
                                                    Legal Policies
                                                </a>
                                            </li>
                                        
                                            <li>
                                                <a class="mobile-menu-item" href="https://www.eclipse.org/legal/privacy.php">
                                                    Privacy Policy
                                                </a>
                                            </li>
                                        
                                            <li>
                                                <a class="mobile-menu-item" href="https://www.eclipse.org/legal/termsofuse.php">
                                                    Terms of Use
                                                </a>
                                            </li>
                                        
                                            <li>
                                                <a class="mobile-menu-item" href="https://www.eclipse.org/legal/compliance">
                                                    Compliance
                                                </a>
                                            </li>
                                        
                                            <li>
                                                <a class="mobile-menu-item" href="https://www.eclipse.org/legal/epl-2.0/">
                                                    Eclipse Public License
                                                </a>
                                            </li>
                                        
                                    </ul>
                                </div>
                            </li>
                        
                            <li class="mobile-menu-dropdown">
                                <a 
                                    data-target="the-foundation-more-sub-menu"
                                    class="mobile-menu-item mobile-menu-dropdown-toggle" 
                                    aria-expanded="false"
                                >
                                    <span>More</span>
                                    <i class="fa fa-chevron-down" aria-hidden="true"></i>
                                </a>
                                <div class="mobile-menu-sub-menu-wrapper">
                                    <ul 
                                        class="mobile-menu-sub-menu mobile-menu-links-menu hidden"
                                        id="the-foundation-more-sub-menu"
                                    >
                                        
                                            <li>
                                                <a class="mobile-menu-item" href="https://newsroom.eclipse.org/news/press-releases">
                                                    Press Releases 
                                                </a>
                                            </li>
                                        
                                            <li>
                                                <a class="mobile-menu-item" href="https://www.eclipse.org/careers/">
                                                    Careers
                                                </a>
                                            </li>
                                        
                                            <li>
                                                <a class="mobile-menu-item" href="https://www.eclipse.org/org/artwork/">
                                                    Logos &amp; Artwork
                                                </a>
                                            </li>
                                        
                                            <li>
                                                <a class="mobile-menu-item" href="https://www.eclipse.org/org/foundation/contact.php">
                                                    Contact Us
                                                </a>
                                            </li>
                                        
                                    </ul>
                                </div>
                            </li>
                        
                    </ul>
                </div>
            </li>
        
    </ul>
</nav>



  












<div class="eclipsefdn-mega-menu">
    
        
        

        <div class="mega-menu-submenu container hidden" data-menu-id="projects-menu">
            <div class="mega-menu-submenu-featured-story">

              
                <p class="mega-menu-submenu-featured-story-heading">Projects</p>
                <p class="mega-menu-submenu-featured-story-text">      The Eclipse Foundation is home to the Eclipse IDE, Jakarta EE, and
      hundreds of open source projects, including runtimes, tools,
      specifications, and frameworks for cloud and edge applications, IoT, AI,
      automotive, systems engineering, open processor designs, and many others.
    </p>
              

              

            </div>
            <div class="mega-menu-submenu-links-section">
                
                    <div class="mega-menu-submenu-links">
                        <p class="menu-heading">Technologies</p>
                        <ul>
                            
                                <li>
                                    <a href="https://www.eclipse.org/topics/ide/">Developer Tools &amp; IDEs</a>
                                </li>
                            
                                <li>
                                    <a href="https://www.eclipse.org/topics/cloud-native/">Cloud Native</a>
                                </li>
                            
                                <li>
                                    <a href="https://www.eclipse.org/topics/edge-and-iot">Edge &amp; IoT</a>
                                </li>
                            
                                <li>
                                    <a href="https://www.eclipse.org/topics/automotive-and-mobility/">Automotive &amp; Mobility</a>
                                </li>
                            
                        </ul>
                    </div>
                
                    <div class="mega-menu-submenu-links">
                        <p class="menu-heading">Projects</p>
                        <ul>
                            
                                <li>
                                    <a href="https://projects.eclipse.org/">Project Finder</a>
                                </li>
                            
                                <li>
                                    <a href="https://www.eclipse.org/projects/project_activity.php">Project Activity</a>
                                </li>
                            
                                <li>
                                    <a href="https://www.eclipse.org/projects/resources">Project Resources</a>
                                </li>
                            
                                <li>
                                    <a href="https://www.eclipse.org/contribute/">Contribute</a>
                                </li>
                            
                        </ul>
                    </div>
                
            </div>
            <div class="mega-menu-submenu-ad-wrapper">
              
                <div
                  class="eclipsefdn-mega-menu-promo-content mega-menu-promo-content"
                  data-ad-format="ads_square"
                  data-ad-publish-to="eclipse_org_home"
                >
                </div>
              
            </div>
        </div>
    
        
        

        <div class="mega-menu-submenu container hidden" data-menu-id="supporters-menu">
            <div class="mega-menu-submenu-featured-story">

              
                <p class="mega-menu-submenu-featured-story-heading">Supporters</p>
                <p class="mega-menu-submenu-featured-story-text">      The Eclipse Foundation is an international non-profit association
      supported by our members, including industry leaders who value open
      source as a key enabler for their business strategies.
    </p>
              

              

            </div>
            <div class="mega-menu-submenu-links-section">
                
                    <div class="mega-menu-submenu-links">
                        <p class="menu-heading">Membership</p>
                        <ul>
                            
                                <li>
                                    <a href="https://www.eclipse.org/membership/exploreMembership.php">Our Members</a>
                                </li>
                            
                                <li>
                                    <a href="https://www.eclipse.org/membership/">Member Benefits</a>
                                </li>
                            
                                <li>
                                    <a href="https://www.eclipse.org/membership/#tab-levels">Membership Levels &amp; Fees</a>
                                </li>
                            
                                <li>
                                    <a href="https://www.eclipse.org/membership/#tab-membership">Membership Application</a>
                                </li>
                            
                                <li>
                                    <a href="https://www.eclipse.org/membership/#tab-resources">Member Resources</a>
                                </li>
                            
                                <li>
                                    <a href="https://membership.eclipse.org/portal">Member Portal</a>
                                </li>
                            
                        </ul>
                    </div>
                
                    <div class="mega-menu-submenu-links">
                        <p class="menu-heading">Sponsorship</p>
                        <ul>
                            
                                <li>
                                    <a href="https://www.eclipse.org/sponsor/">Sponsor</a>
                                </li>
                            
                                <li>
                                    <a href="https://www.eclipse.org/org/corporate_sponsors">Corporate Sponsorship</a>
                                </li>
                            
                                <li>
                                    <a href="https://www.eclipse.org/sponsor/collaboration/">Sponsor a Collaboration</a>
                                </li>
                            
                        </ul>
                    </div>
                
            </div>
            <div class="mega-menu-submenu-ad-wrapper">
              
                <div
                  class="eclipsefdn-mega-menu-promo-content mega-menu-promo-content"
                  data-ad-format="ads_square"
                  data-ad-publish-to="eclipse_org_home"
                >
                </div>
              
            </div>
        </div>
    
        
        

        <div class="mega-menu-submenu container hidden" data-menu-id="collaborations-menu">
            <div class="mega-menu-submenu-featured-story">

              
                <p class="mega-menu-submenu-featured-story-heading">Collaborations</p>
                <p class="mega-menu-submenu-featured-story-text">      Whether you intend on contributing to Eclipse technologies that are
      important to your product strategy, or simply want to explore a specific
      innovation area with like-minded organisations, the Eclipse Foundation is
      the open source home for industry collaboration.
    </p>
              

              

            </div>
            <div class="mega-menu-submenu-links-section">
                
                    <div class="mega-menu-submenu-links">
                        <p class="menu-heading">Industry Collaborations</p>
                        <ul>
                            
                                <li>
                                    <a href="https://www.eclipse.org/collaborations/">About Industry Collaborations</a>
                                </li>
                            
                                <li>
                                    <a href="https://www.eclipse.org/org/workinggroups/explore.php">Current Collaborations</a>
                                </li>
                            
                                <li>
                                    <a href="https://www.eclipse.org/org/workinggroups/about.php">About Working Groups</a>
                                </li>
                            
                                <li>
                                    <a href="https://www.eclipse.org/collaborations/interest-groups/">About Interest Groups</a>
                                </li>
                            
                        </ul>
                    </div>
                
                    <div class="mega-menu-submenu-links">
                        <p class="menu-heading">Research Collaborations</p>
                        <ul>
                            
                                <li>
                                    <a href="https://www.eclipse.org/research/">Research @ Eclipse</a>
                                </li>
                            
                        </ul>
                    </div>
                
            </div>
            <div class="mega-menu-submenu-ad-wrapper">
              
                <div
                  class="eclipsefdn-mega-menu-promo-content mega-menu-promo-content"
                  data-ad-format="ads_square"
                  data-ad-publish-to="eclipse_org_home"
                >
                </div>
              
            </div>
        </div>
    
        
        

        <div class="mega-menu-submenu container hidden" data-menu-id="resources-menu">
            <div class="mega-menu-submenu-featured-story">

              
                <p class="mega-menu-submenu-featured-story-heading">Resources</p>
                <p class="mega-menu-submenu-featured-story-text">      The Eclipse community consists of individual developers and organisations
      spanning many industries. Stay up to date on our open source community
      and find resources to support your journey.
    </p>
              

              

            </div>
            <div class="mega-menu-submenu-links-section">
                
                    <div class="mega-menu-submenu-links">
                        <p class="menu-heading">Open Source for Business</p>
                        <ul>
                            
                                <li>
                                    <a href="https://www.eclipse.org/org/value/">Business Value of Open Source</a>
                                </li>
                            
                                <li>
                                    <a href="https://www.eclipse.org/os4biz/ospo/">Open Source Program Offices</a>
                                </li>
                            
                        </ul>
                    </div>
                
                    <div class="mega-menu-submenu-links">
                        <p class="menu-heading">What&#39;s Happening</p>
                        <ul>
                            
                                <li>
                                    <a href="https://newsroom.eclipse.org/">News</a>
                                </li>
                            
                                <li>
                                    <a href="https://events.eclipse.org/">Events</a>
                                </li>
                            
                                <li>
                                    <a href="https://www.eclipse.org/community/eclipse_newsletter/">Newsletter</a>
                                </li>
                            
                                <li>
                                    <a href="https://newsroom.eclipse.org/news/press-releases">Press Releases</a>
                                </li>
                            
                                <li>
                                    <a href="https://www.eclipse.org/org/foundation/eclipseawards/">Awards &amp; Recognition</a>
                                </li>
                            
                        </ul>
                    </div>
                
                    <div class="mega-menu-submenu-links">
                        <p class="menu-heading">Developer Resources</p>
                        <ul>
                            
                                <li>
                                    <a href="https://eclipse.org/forums/">Forum</a>
                                </li>
                            
                                <li>
                                    <a href="https://accounts.eclipse.org/mailing-list">Mailing Lists</a>
                                </li>
                            
                                <li>
                                    <a href="https://www.eclipse.org/blogs-and-videos/">Blogs &amp; Videos</a>
                                </li>
                            
                                <li>
                                    <a href="https://www.eclipse.org/resources/marketplaces/">Marketplaces</a>
                                </li>
                            
                        </ul>
                    </div>
                
            </div>
            <div class="mega-menu-submenu-ad-wrapper">
              
                <div
                  class="eclipsefdn-mega-menu-promo-content mega-menu-promo-content"
                  data-ad-format="ads_square"
                  data-ad-publish-to="eclipse_org_home"
                >
                </div>
              
            </div>
        </div>
    
        
        

        <div class="mega-menu-submenu container hidden" data-menu-id="the-foundation-menu">
            <div class="mega-menu-submenu-featured-story">

              
                <p class="mega-menu-submenu-featured-story-heading">The Foundation</p>
                <p class="mega-menu-submenu-featured-story-text">      The Eclipse Foundation provides our global community of individuals and
      organisations with a mature, scalable, and vendor-neutral environment for
      open source software collaboration and innovation.
    </p>
              

              

            </div>
            <div class="mega-menu-submenu-links-section">
                
                    <div class="mega-menu-submenu-links">
                        <p class="menu-heading">About</p>
                        <ul>
                            
                                <li>
                                    <a href="https://www.eclipse.org/org/">About the Eclipse Foundation</a>
                                </li>
                            
                                <li>
                                    <a href="https://www.eclipse.org/org/governance">Board &amp; Governance</a>
                                </li>
                            
                                <li>
                                    <a href="https://www.eclipse.org/org/foundation/staff.php">Staff</a>
                                </li>
                            
                                <li>
                                    <a href="https://www.eclipse.org/org/services">Services</a>
                                </li>
                            
                        </ul>
                    </div>
                
                    <div class="mega-menu-submenu-links">
                        <p class="menu-heading">Legal</p>
                        <ul>
                            
                                <li>
                                    <a href="https://www.eclipse.org/legal/">Legal Policies</a>
                                </li>
                            
                                <li>
                                    <a href="https://www.eclipse.org/legal/privacy.php">Privacy Policy</a>
                                </li>
                            
                                <li>
                                    <a href="https://www.eclipse.org/legal/termsofuse.php">Terms of Use</a>
                                </li>
                            
                                <li>
                                    <a href="https://www.eclipse.org/legal/compliance">Compliance</a>
                                </li>
                            
                                <li>
                                    <a href="https://www.eclipse.org/legal/epl-2.0/">Eclipse Public License</a>
                                </li>
                            
                        </ul>
                    </div>
                
                    <div class="mega-menu-submenu-links">
                        <p class="menu-heading">More</p>
                        <ul>
                            
                                <li>
                                    <a href="https://newsroom.eclipse.org/news/press-releases">Press Releases </a>
                                </li>
                            
                                <li>
                                    <a href="https://www.eclipse.org/careers/">Careers</a>
                                </li>
                            
                                <li>
                                    <a href="https://www.eclipse.org/org/artwork/">Logos &amp; Artwork</a>
                                </li>
                            
                                <li>
                                    <a href="https://www.eclipse.org/org/foundation/contact.php">Contact Us</a>
                                </li>
                            
                        </ul>
                    </div>
                
            </div>
            <div class="mega-menu-submenu-ad-wrapper">
              
                <div
                  class="eclipsefdn-mega-menu-promo-content mega-menu-promo-content"
                  data-ad-format="ads_square"
                  data-ad-publish-to="eclipse_org_home"
                >
                </div>
              
            </div>
        </div>
    
</div>


  
















</header>


  
  












  
<main>
<div class="container">

  
<div class="padding-bottom-30">
  <h1>Page not found</h1>
  <p>We&#39;re sorry, the page you requested cannot be found. Below are some links that may be useful.</p>
  <ul>
    <li><a href="//eclipse.org">Eclipse home</a></li>
    <li><a href='//eclipse.org/projects/searchpage.php'>Search</a> our site</li>
    <li>Website <a href='//eclipse.org/legal/privacy.php'>privacy policy</a> and <a href='//eclipse.org/legal/termsofuse.php'>terms of use</a></li>
    <li><a href="//eclipse.org/legal">Legal documents</a></li>
    <li><a href="//eclipse.org/artwork/">Logos and artwork</a></li>
    <li><a href="//wiki.eclipse.org/index.php/Webmaster_FAQ">Webmaster FAQ</a></li>
    <li><a href="mailto:webmaster@eclipse.org">Email the webmaster</a></li>
  </ul>
</div>

  
</div>
</main>

  
  
  <div class="eclipsefdn-featured-footer featured-footer" id="featured-footer" data-publish-target="eclipse_org">
    <div class="container">
      <div class="row">
        <div class="col-sm-24 featured-container">
        </div>
      </div>
    </div>
  </div>

  





<p id="back-to-top">
  <a class="visible-xs" href="#">Back to the top</a>
</p>
<footer id="footer">
  <div class="container">
    <div class="footer-sections row equal-height-md font-bold">
      
      




  
  <section id="footer-eclipse-foundation" class="footer-section col-md-5 col-sm-8">
    <div class="menu-heading">Eclipse Foundation</div>
    <ul class="nav">
      <li><a href="https://www.eclipse.org/org/">About</a></li>
      <li><a href="https://projects.eclipse.org/">Projects</a></li>
      <li><a href="https://www.eclipse.org/collaborations/">Collaborations</a></li>
      <li><a href="https://www.eclipse.org/membership/">Membership</a></li>
      <li><a href="https://www.eclipse.org/sponsor/">Sponsor</a></li>
    </ul>
  </section>





  
  <section id="footer-legal" class="footer-section col-md-5 col-sm-8">
    <div class="menu-heading">Legal</div>
    <ul class="nav">
      <li><a href="https://www.eclipse.org/legal/privacy.php">Privacy Policy</a></li>
      <li><a href="https://www.eclipse.org/legal/termsofuse.php">Terms of Use</a></li>
      <li><a href="https://www.eclipse.org/legal/compliance/">Compliance</a></li>
      <li><a href="https://www.eclipse.org/org/documents/Community_Code_of_Conduct.php">Code of Conduct</a></li>
      <li><a href="https://www.eclipse.org/legal/">Legal Resources</a></li>
      <li><a class="toolbar-manage-cookies" href="#" onclick="event.preventDefault()">Manage Cookies</a></li>
    </ul>
  </section>






  
  <section id="footer-more" class="footer-section col-md-5 col-sm-8">
    <div class="menu-heading">More</div>
    <ul class="nav">
      <li><a href="https://www.eclipse.org/security/">Report a Vulnerability</a></li>
      <li><a href="https://status.eclipse.org/">Service Status</a></li>
      <li><a href="https://www.eclipse.org/org/foundation/contact.php">Contact Us</a></li>
      <li><a href="https://www.eclipse.org/projects/support/">Support</a></li>
    </ul>
  </section>




      


  <div id="footer-end" class="footer-section col-md-8 col-md-offset-1 col-sm-24">
    <div class="footer-end-social-container">
      










<div class="footer-end-social">
    <p class="footer-end-social-text">Follow Us:</p>
    <ul class="footer-end-social-links list-inline">
        <li>
            <a class="link-unstyled" href="https://twitter.com/EclipseFdn" title="Twitter account">
                <span class="fa fa-stack">
                    <i class="fa fa-circle fa-stack-2x" aria-hidden="true"></i>
                    <i class="fa fa-twitter fa-stack-1x fa-inverse" aria-hidden="true"></i>
                    <span class="sr-only">Twitter account</span>
                </span>
            </a>
        </li>
        <li>
            <a class="link-unstyled" href="https://www.facebook.com/eclipse.org" title="Facebook account">
                <span class="fa fa-stack">
                    <i class="fa fa-circle fa-stack-2x" aria-hidden="true"></i>
                    <i class="fa fa-facebook fa-stack-1x fa-inverse" aria-hidden="true"></i>
                    <span class="sr-only">Facebook account</span>
                </span>
            </a>
        </li> 
        <li>
            <a class="link-unstyled" href="https://www.youtube.com/user/EclipseFdn" title="Youtube account">
                <span class="fa fa-stack">
                    <i class="fa fa-circle fa-stack-2x" aria-hidden="true"></i>
                    <i class="fa fa-youtube-play fa-stack-1x fa-inverse" aria-hidden="true"></i>
                    <span class="sr-only">Youtube account</span>
                </span>
            </a>
        </li>
        <li>
            <a class="link-unstyled" href="https://www.linkedin.com/company/eclipse-foundation" title="Linkedin account">
                <span class="fa fa-stack">
                    <i class="fa fa-circle fa-stack-2x" aria-hidden="true"></i>
                    <i class="fa fa-linkedin fa-stack-1x fa-inverse" aria-hidden="true"></i>
                    <span class="sr-only">Linkedin account</span>
                </span>
            </a>
        </li> 
    </ul>
</div>


    </div>
    <div class="footer-end-newsletter">
      <form id="mc-embedded-subscribe-form" action="https://eclipsecon.us6.list-manage.com/subscribe/post" method="post" novalidate target="_blank">
        <label class="footer-end-newsletter-label" for="email">Subscribe to our Newsletter</label>
        <div class="footer-end-newsletter-input-wrapper">
          <input class="footer-end-newsletter-input" type="email" id="email" name="EMAIL" autocomplete="email" placeholder="Enter your email address" />
          <div>
            <i class="fa fa-solid fa-envelope fa-lg" aria-hidden="true"></i>
          </div>
        </div>
        <input type="hidden" name="u" value="eaf9e1f06f194eadc66788a85" />
        <input type="hidden" name="id" value="46e57eacf1" />
        <input id="mc-embedded-subscribe" type="submit" name="subscribe" hidden />
      </form>
    </div>
  </div>


    </div>
    



<div class="col-sm-24 margin-top-20">
  <div class="row">
    <div id="copyright" class="col-md-16">
      <p id="copyright-text">Copyright &copy; Eclipse Foundation AISBL. All Rights Reserved.</p>
    </div>
    
  </div>
</div>

    <a href="#" class="scrollup">Back to the top</a>
  </div>
</footer>


  
  <div id="footer-js">
  
  <script src="https://www.eclipse.org/eclipse.org-common/themes/solstice/public/javascript/astro.min.js?var=0.0.250?v=1715697839"></script>
  

  
  

  
  <script>
  (function($, document) {
    
    
  })(jQuery, document);
  </script>

  
</div>

</body>
</html>

